# AI constants. ACtual AI-related code is in Players.py with other player
# control methods like keyboard and mouse.
from math import sqrt

min = -10000
distance_factor = 0.1
randomness = 20
# Yummie values
weapweights = [
	0, 50, 20, 60, 50, 20, 80, 80,30, 30, 40, 10, 100,1000,40
	]

speed_value = 15
shield_value = 0.5 # Will be multiplied times value of shield yummie

teleporter_value = 25 # Like teles

player_value = 120 # Modulated based on various factors

player_shield_weight = 0.5

attention_span = 80
crazy = 100

course_recompute = 40

ARelocate = 0 # AI state where the AI is simply wanting to be somewhere else
AEvasive = 1 # ,,   ,,     ,,   ,, ,, ,, trying to avoid being hit
AMiner = 2 #   ,,   ,,     ,,   ,, ,, ,, mining for yummies.
APursuit = 3 # ,,   ,,     ,,   ,, ,, ,, chasing and shooting with plasma.

def aicmp(a, b, gen=False):
	if gen: 
		q = 32
	else:
		q = 14
	if a < b - q:
		return -1
	elif a > b + q:
		return 1
	else:
		return 0
def going_to_crash(self):
	for player in self.Level.players.sprites():
		if player == self: continue
		dx = self.rect.x-player.rect.x
		dy = self.rect.y-player.rect.y
		distance = sqrt(dx**2+dy**2)
		if distance < 40:
			#print "\n: %s is %d pixels away from %s."%(self.name, distance, player.name)
			if (cmp(self.speed[0],0) != cmp(player.speed[0],0) or cmp(self.speed[1],0) != cmp(player.speed[1],0)):
				#print "\n* %s avoiding collision with %s."%(self.name, player.name)
				return player
			else:
				return None
		else:
			return False
